> For the complete documentation index, see [llms.txt](https://docs.clipper.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clipper.exchange/disclaimers-and-technical/integrating-with-clipper-rfq/api-reference/api-v1/pool.md).

# Pool

{% hint style="warning" %}
If you already have an API key for authentication, we recommend using [Pool v2](/disclaimers-and-technical/integrating-with-clipper-rfq/api-reference/api-v2/pool-v2.md) instead as it does not support API key authentication.
{% endhint %}

This endpoint provides comprehensive information about a clipper pool, including details on its assets, the contract address of its liquidity pool, and other pertinent data. This information is crucial for making off-chain calculations and predicting quotes.

## Request

<table><thead><tr><th width="178.33333333333331">Query Param</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>chain_id</td><td>Integer - Required<br>ID of the chain.</td><td>chain_id=137 - Polygon<br>chain_id=1 - Ethereum mainnet</td></tr><tr><td>time_in_seconds</td><td><p>Integer - Optional</p><p>The time duration for which a quote will be available. This value is used to calculate the fees; as you decrease the time, you will see lower fees.</p><p>By default, the system sets a predefined value. </p><p><strong>Note:</strong> For on-chain data, this field is not considered.</p></td><td>time_in_seconds=30</td></tr><tr><td>fieldset</td><td><p>String - Optional<br>Determines whether the API should make calls to the blockchain to return on-chain data.</p><p><strong>Accepted Value</strong>: <mark style="color:orange;"><code>offchain-data</code></mark> If the parameter is not provided, it will default to handling on-chain data.</p></td><td>fieldset=offchain-data</td></tr></tbody></table>

## Response

#### Offchain object

<table><thead><tr><th width="133">Field</th><th>Description</th></tr></thead><tbody><tr><td>pool</td><td><a href="#pool-object">Pool object</a></td></tr><tr><td>assets</td><td>List of <a href="#asset-object">Asset objects</a></td></tr><tr><td>pairs</td><td>List of <a href="#pair-object">Pair objects</a></td></tr><tr><td>pool_type</td><td>String - <mark style="color:orange;"><code>offchain</code></mark></td></tr></tbody></table>

#### Pool object

<table><thead><tr><th width="248">Field</th><th>Description</th></tr></thead><tbody><tr><td>chain_id</td><td>Integer - ID of the chain</td></tr><tr><td>address</td><td>String(ETH address) - Clipper contract address of the pool, is the address used when executing a transaction</td></tr><tr><td>num_assets</td><td>Integer - The total of assets available in the chain</td></tr><tr><td>k</td><td>Float - K factor</td></tr><tr><td>time_in_seconds</td><td>Integer - Number of seconds were used to calculate the fees of a swap, this number indicates the number of seconds that quotes are live</td></tr><tr><td>default_time_in_seconds</td><td>Integer - Default number of seconds that quotes are live, is value used to calculate fees when don't send the query param <mark style="color:orange;"><code>time_in_seconds</code></mark></td></tr><tr><td>swaps_enabled</td><td>Bool - Represents if the swaps are available for the chain</td></tr></tbody></table>

#### Asset object

<table><thead><tr><th width="158">Field</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>String - The name of the asset, this value should be used when making a quote</td></tr><tr><td>address</td><td>String(ETH address) - The contract address of the asset</td></tr><tr><td>price_in_usd</td><td>Float - Current price in dollars for the asset</td></tr><tr><td>listing_weight</td><td>Integer - asset weight within the pool</td></tr></tbody></table>

#### Pair object

<table><thead><tr><th width="201">Field</th><th>Description</th></tr></thead><tbody><tr><td>assets</td><td>List[str] - Pair of assets available to make a swap - e.g: ["ETH", "MATIC"]</td></tr><tr><td>fee_in_basis_points</td><td>Float - Fee for make a swap between the pair</td></tr></tbody></table>

## Examples

Get the offchain data for Polygon chain (chain\_id=137)

***Request***

{% code overflow="wrap" %}

```bash
curl -X GET "https://api.clipper.exchange/rfq/pool?chain_id=137&fieldset=offchain-data" -H "Authorization: Basic dGVzdDp0ZXN0MTIzNA=="
```

{% endcode %}

***Response***

```json
{
    "pool": {
        "chain_id": 137,
        "address": "0x6Bfce69d1Df30FD2B2C8e478EDEC9dAa643Ae3B8",
        "num_assets": 6,
        "k": 0.115,
        "time_in_seconds": 60,
        "default_time_in_seconds": 60,
        "swaps_enabled": true
    },
    "assets": [
        {
            "name": "ETH",
            "address": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
            "price_in_usd": 1656.9150000000002,
            "listing_weight": 125
        },
        {
            "name": "MATIC",
            "address": "0x0d500B1d8E8eF31E21C99d1Db9A6444d3ADf1270",
            "price_in_usd": 0.56802,
            "listing_weight": 100
        },
        {
            "name": "WBTC",
            "address": "0x1BFD67037B42Cf73acF2047067bd4F2C47D9BfD6",
            "price_in_usd": 27405.915,
            "listing_weight": 178
        },
        {
            "name": "USDC",
            "address": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
            "price_in_usd": 1.0,
            "listing_weight": 178
        },
        {
            "name": "DAI",
            "address": "0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063",
            "price_in_usd": 1.0,
            "listing_weight": 250
        },
        {
            "name": "USDT",
            "address": "0xc2132D05D31c914a87C6611C10748AEb04B58e8F",
            "price_in_usd": 1.0,
            "listing_weight": 305
        }
    ],
    "pairs": [
        {
            "assets": [
                "ETH",
                "MATIC"
            ],
            "fee_in_basis_points": 12.0
        },
        {
            "assets": [
                "ETH",
                "WBTC"
            ],
            "fee_in_basis_points": 6.0
        },
        {
            "assets": [
                "ETH",
                "USDC"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "ETH",
                "DAI"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "ETH",
                "USDT"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "MATIC",
                "WBTC"
            ],
            "fee_in_basis_points": 12.0
        },
        {
            "assets": [
                "MATIC",
                "USDC"
            ],
            "fee_in_basis_points": 12.0
        },
        {
            "assets": [
                "MATIC",
                "DAI"
            ],
            "fee_in_basis_points": 12.0
        },
        {
            "assets": [
                "MATIC",
                "USDT"
            ],
            "fee_in_basis_points": 12.0
        },
        {
            "assets": [
                "WBTC",
                "USDC"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "WBTC",
                "DAI"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "WBTC",
                "USDT"
            ],
            "fee_in_basis_points": 8.0
        },
        {
            "assets": [
                "USDC",
                "DAI"
            ],
            "fee_in_basis_points": 5.0
        },
        {
            "assets": [
                "USDC",
                "USDT"
            ],
            "fee_in_basis_points": 5.0
        },
        {
            "assets": [
                "DAI",
                "USDT"
            ],
            "fee_in_basis_points": 5.0
        }
    ],
    "pool_type": "offchain"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clipper.exchange/disclaimers-and-technical/integrating-with-clipper-rfq/api-reference/api-v1/pool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
